<?php 
//Bottom Header
$wp_customize->add_section( 'peccular_footer_setting' , array(
    'title'    => __( 'Footer Setting', 'peccular-premium' ),
    'priority' => null,
    'panel' => 'peccular_header_panel1'
) );


$wp_customize->add_setting('peccular_footer_nav', array(
   'sanitize_callback' => 'wp_kses_post',
));

$wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_footer_nav', array(
   'section' => 'peccular_footer_setting',
   'priority' => 1,
   'buttons' => array(
      array(
         'name' => esc_html__('General', 'peccular-premium'),
         'icon' => 'dashicons dashicons-welcome-write-blog',
         'fields' => array(
            'peccular_footer_copyrighttext',
            'peccular_newsletter_enable',
            'peccular_newsletter_maintitle',
            'peccular_newsletter_section_lbl1',
            'peccular_newsletter_image',
            'peccular_newsletter_shortcode',

        ),
         'active' => true,
     ),
      array(
        'name' => esc_html__('Style', 'peccular-premium'),
        'icon' => 'dashicons dashicons-art',
        'fields' => array(                      
         'peccular_footer_section_bg_color',
         'peccular_newsletter_heading_color',
         'peccular_footer_section_bg_image',
         'peccular_footer_image_opacity',
         'peccular_footer_box_align', 
         'peccular_footer_copyright_align',   
         'peccular_footer_onload_effects',  
         'peccular_footer_heading_color', 
         'peccular_footer_ftbrs_color',
         'peccular_footer_heading_color',
         'peccular_footer_text_color',
         'peccular_footer_copybg_color',
         'peccular_footer_copytext_color',                               
         'peccular_footer_menu_color',                
         'peccular_footer_activemenu_color',
         'peccular_footer_icon_color',     
         'peccular_footer_iconbg_color', 
         'peccular_footer_iconhov_color',    
         'peccular_footer_iconhovbg_color',    
         'peccular_footer_menuicon_color',   
         'peccular_footer_othericon_color',   
         'peccular_footer_span_color',
         'peccular_newsletter_formtext_color', 
         'peccular_newsletter_formbg_color',
         'peccular_newsletter_border_color',
         'peccular_newsletter_btntext_color', 
         'peccular_newsletter_btnbg_color1',
         'peccular_newsletter_btnbg_colorss',
         'peccular_newsletter_heading',
         'peccular_footer_heading'  

     ),
    ),
      array(
        'name' => esc_html__('Layout', 'peccular-premium'),
        'icon' => 'dashicons dashicons-layout',
        'fields' => array(
            'peccular_footer_padding',
            'peccular_footer_section_top_t_padding',
            'peccular_footer_section_top_b_padding',
            'peccular_footer_padding1',                   
            'peccular_footer_section_width'
        ),
    )
  ),
)));

//newsletter-------

$wp_customize->add_setting( 'peccular_newsletter_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_newsletter_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_footer_setting'
)));

$wp_customize->add_setting(
    'peccular_newsletter_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Subscribe to our newsletter', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_newsletter_maintitle',
    array(
        'settings'      => 'peccular_newsletter_maintitle',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'peccular' )
    )
);
$wp_customize->add_setting('peccular_newsletter_section_lbl1', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_newsletter_section_lbl1',
        array(
            'settings'      => 'peccular_newsletter_section_lbl1',
            'section'       => 'peccular_footer_setting',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Take Left Image size 346px x 125px  ', 'peccular Premium' ),
        )));
$wp_customize->add_setting( 'peccular_newsletter_image', array(
   'default' => '',
   'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_newsletter_image', array(
    'label' => __('Newsletter Left Image','peccular'),
    'section' => 'peccular_footer_setting',
)));

$wp_customize->add_setting(
    'peccular_newsletter_shortcode',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Add your form shortcode on customiser', 'peccular' )
    ));
$wp_customize->add_control(
    'peccular_newsletter_shortcode',
    array(
        'settings'      => 'peccular_newsletter_shortcode',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'textarea',
        'label'         => __( 'Form Shortcode ', 'peccular' )
    ));

//newsletter------    

$wp_customize->add_setting(
    'peccular_footer_copyrighttext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '© 2024 All rights reserved.', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_footer_copyrighttext',
    array(
        'settings'      => 'peccular_footer_copyrighttext',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Copyright', 'peccular' ),
        'input_attrs' => array(
            'readonly' => 'readonly',
        ),
    )
);


//backgroundManager($wp_customize, 'footer', 'peccular_footer_setting', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting( 'peccular_footer_section_bg_color', array(
   'default' => '',
   'sanitize_callback' => 'sanitize_hex_color'
));
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_footer_section_bg_color', array(
    'label' => __('Background Color','peccular'),
    'section' => 'peccular_footer_setting',
)));

$wp_customize->add_setting( 'peccular_footer_section_bg_image', array(
   'default' => '',
   'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_footer_section_bg_image', array(
    'label' => __('Section Background Image','peccular'),
    'section' => 'peccular_footer_setting',
)));

$wp_customize->add_setting('peccular_footer_image_opacity',array(
    'default' => 1,
    'sanitize_callback' => 'peccular_sanitize_float'
));
$wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_footer_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_footer_setting',
    'input_attrs' => array(
        'min' => 0,
        'max' => 1,
        'step' => 0.1,
    ),
)));

$wp_customize->add_setting('peccular_footer_onload_effects',array(
    'default' => 'zoom-in',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_footer_onload_effects',array(
    'type' => 'select',
    'label' => __('Section Onload Transition Effects','peccular'),
    'choices' => array (
        'wow bounceInLeft' => __('Bounce In Left','peccular'),
        'wow bounceInRight' => __('Bounce In Right','peccular'),
        'wow bounceInUp' => __('Bounce In Up','peccular'),
        'wow bounceInDown' => __('Bounce In Down','peccular'),
        'wow zoomIn' => __('Zoom In','peccular'),
        'wow zoomOut' => __('Zoom Out','peccular'),
        'wow fadeInDown' => __('Fade In Down','peccular'),            
        'wow fadeInUp' => __('Fade In Up','peccular'),
        'wow fadeInLeft' => __('Fade In Left','peccular'),
        'wow fadeInRight' => __('Fade In Right','peccular'),
        'flip-up' => __('Flip Up','peccular')
    ),
    'section' => 'peccular_footer_setting',
));

$wp_customize->add_setting('peccular_footer_copyright_align',array(
    'default' => 'Center',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_footer_copyright_align',array(
    'type' => 'select',
    'label' => __('Copyright Alignment','peccular'),
    'choices' => array (
        'Center' => __('Center','peccular'),
        'Left' => __('Left','peccular'),
        'Right' => __('Right','peccular')
    ),
    'section' => 'peccular_footer_setting',
));

$wp_customize->add_setting(
    'peccular_newsletter_heading',
    array(
        'sanitize_callback' => 'peccular_sanitize_text'
    ) );
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_newsletter_heading',
        array(
            'settings'      => 'peccular_newsletter_heading',
            'section'       => 'peccular_footer_setting',
            'label'         => __( 'Newsletter Colors ', 'peccular Premium' ),
        )));    

addColorPalatOption($wp_customize, 'peccular_newsletter_heading_color', 'peccular_footer_setting', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_newsletter_formtext_color', 'peccular_footer_setting', 'Form Field Text Color', '');
addColorPalatOption($wp_customize, 'peccular_newsletter_formbg_color', 'peccular_footer_setting', 'Form Field BG  Color', '');
addColorPalatOption($wp_customize, 'peccular_newsletter_border_color', 'peccular_footer_setting', 'Form Border Color', '');

addColorPalatOption($wp_customize, 'peccular_newsletter_btntext_color', 'peccular_footer_setting', 'Button Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_newsletter_btnbg_color1', 'peccular_footer_setting', 'Button BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_newsletter_btnbg_colorss', 'peccular_footer_setting', 'Button BG Hover Color ', '');


$wp_customize->add_setting(
    'peccular_footer_heading',
    array(
        'sanitize_callback' => 'peccular_sanitize_text'
    ) );
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_footer_heading',
        array(
            'settings'      => 'peccular_footer_heading',
            'section'       => 'peccular_footer_setting',
            'label'         => __( 'Footer Colors ', 'peccular Premium' ),
        )));    

addColorPalatOption($wp_customize, 'peccular_footer_heading_color', 'peccular_footer_setting', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_text_color', 'peccular_footer_setting', 'Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_menu_color', 'peccular_footer_setting', 'Menu Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_menuicon_color', 'peccular_footer_setting', 'Menu Icon Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_activemenu_color', 'peccular_footer_setting', 'Active Menu Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_copytext_color', 'peccular_footer_setting', 'Copyright Text Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_copybg_color', 'peccular_footer_setting', 'Copyright Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_ftbrs_color', 'peccular_footer_setting', 'Footer Border Color', '');


$wp_customize->add_setting('peccular_footer_padding',array(
  'sanitize_callback'   => 'esc_html'
));
$wp_customize->add_control('peccular_footer_padding',array(
  'label' => __('Footer Padding','peccular'),
  'section' => 'peccular_footer_setting'
));


$wp_customize->add_setting('peccular_footer_section_top_t_padding',array(
    'default' => '0',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_footer_section_top_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_footer_setting',
));
$wp_customize->add_setting('peccular_footer_section_top_b_padding',array(
    'default' => '3',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_footer_section_top_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_footer_setting',
));

$wp_customize->add_setting('peccular_footer_section_width',array(
    'default' => 'Box Width',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_footer_section_width',array(
    'type' => 'select',
    'label' => __('Section Width','peccular'),
    'choices' => array (
        'Box Width' => __('Box Width','peccular'),
        'Full Width' => __('Full Width','peccular')
    ),
    'section' => 'peccular_footer_setting',
));
?>